dbXML API

## com.dbxml.db.server
Class ServiceManager

    java.lang.Object
      com.dbxml.db.server.ServiceManager

All Implemented Interfaces:
  Configurable

public final class ServiceManager
extends java.lang.Object
implements Configurable

ServiceManager

Constructor Summary
`ServiceManager()`

Method Summary
`boolean` `addService(Service service)`
`void` `dispose()`
`Configuration` `getConfig()` getConfig retrieves the configuration information for the Configurable object instance.
`Service` `getService(java.lang.String name)`
`java.lang.String[]` `listServices()`
`boolean` `removeService(Service service)`
`void` `setConfig(Configuration config)` setConfig sets the configuration information for the Configurable object instance.
`void` `setServer(Server server)`
`boolean` `startServices()`
`void` `stopServices()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceManager

    public ServiceManager()

Method Detail

### setServer

    public void setServer(Server server)

### setConfig

    public void setConfig(Configuration config)

  Description copied from interface: `Configurable`
  setConfig sets the configuration information for the Configurable object instance.

  Specified by:
    `setConfig` in interface `Configurable`
  Parameters:
    `config` - The configuration Node

### getConfig

    public Configuration getConfig()

  Description copied from interface: `Configurable`
  getConfig retrieves the configuration information for the Configurable object instance.

  Specified by:
    `getConfig` in interface `Configurable`
  Returns:
    The configuration Node

### startServices

    public boolean startServices()

### stopServices

    public void stopServices()

### addService

    public boolean addService(Service service)

### removeService

    public boolean removeService(Service service)

### listServices

    public java.lang.String[] listServices()

### getService

    public Service getService(java.lang.String name)

### dispose

    public void dispose()

dbXML API

Copyright (c) 2004 The dbXML Group